Package org.gradle.tooling.events.problems

# Interface OffsetInFileLocation

All Superinterfaces:
  `FileLocation`, `Location`

@Incubating public interface OffsetInFileLocation extends FileLocation
A basic location pointing to a specific part of a file using a global offset and length for coordinates.

The coordinates are expected to be zero indexed.

Since:
  8.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getLength()`
  The length of the content starting from `getOffset()`.
  `int`
  `getOffset()`
  The global offset from the beginning of the file.

  ### Methods inherited from interface org.gradle.tooling.events.problems.FileLocation

  `getPath`

- ## Method Details

  - ### getOffset

    int getOffset()
    The global offset from the beginning of the file.
    Returns:
      the zero-indexed offset
    Since:
      8.6

  - ### getLength

    int getLength()
    The length of the content starting from `getOffset()`.
    Returns:
      the length
    Since:
      8.6